<template>
	<div>
		<el-select v-model="_value" style="width:100%" multiple>
			<el-option label="all" value="all"  />
			<el-option label="alaw" value="alaw" />
			<el-option label="ulaw" value="ulaw"  />
			<el-option label="g723" value="g723"  />
			<el-option label="gsm" value="gsm"  />
			<el-option label="g726" value="g726"  />
			<el-option label="adpcm" value="adpcm"  />
			<el-option label="slin" value="slin"  />
			<el-option label="lpc10" value="lpc10"  />
			<el-option label="g729 (require licencia)" value="g729"  />
			<el-option label="speex" value="speex"  />
			<el-option label="ilbc" value="ilbc"  />
		</el-select>
	</div>
</template>
<script>

//TODO: ver si se puede obtener la lista de codecs desde asterisk
export default {
	props: {
		value: [Array, String],
	}	,
	computed: {
		_value: {
			get() {
				return Array.isArray(this.value) ? this.value : this.value ? [this.value] : []
			},
			set(v) {
				this.$emit('input', v)
			}
		}
	},
}
</script>